Bug 572150 - CVE-2010-0624 tar, cpio: Heap-based buffer overflow by expanding a specially-crafted archive [Fedora all]
CVE-2010-0624 tar, cpio: Heap-based buffer overflow by expanding a specially-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2010-0624
  Show dependency treegraph
 
Reported: 2010-03-10 07:20 EST by Jan Lieskovsky
Modified: 2010-03-26 20:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: cpio-2.9.90-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-16 19:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-03-10 07:20:58 EST
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #564368:
CVE-2010-0624 tar, cpio: Heap-based buffer overflow by expanding a specially-crafted archive

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=564368

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs
Comment 1 Ondrej Vasik 2010-03-10 08:51:51 EST
Fixed in cpio-2.10-6.fc14
Comment 2 Fedora Update System 2010-03-10 09:07:56 EST
cpio-2.10-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cpio-2.10-6.fc13
Comment 3 Fedora Update System 2010-03-10 09:36:06 EST
cpio-2.10-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cpio-2.10-5.fc12
Comment 4 Fedora Update System 2010-03-10 09:48:47 EST
cpio-2.9.90-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cpio-2.9.90-8.fc11
Comment 5 Fedora Update System 2010-03-11 08:30:41 EST
cpio-2.10-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cpio-2.10-6.fc13
Comment 6 Fedora Update System 2010-03-11 23:26:05 EST
cpio-2.9.90-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cpio-2.9.90-8.fc11
Comment 7 Fedora Update System 2010-03-11 23:29:39 EST
cpio-2.10-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cpio-2.10-5.fc12
Comment 8 Fedora Update System 2010-03-16 19:18:49 EDT
cpio-2.10-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-19 23:36:57 EDT
cpio-2.10-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-26 20:57:28 EDT
cpio-2.9.90-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.